# $Revision: 1.16.2.1 $, $Date: 2003/03/13 00:56:38 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Apache
%define	pnam	DBI
Summary:	Apache::DBI - Initiate a persistent database connection
Summary(pl):	Modu Apache::DBI - inicjujcy cige poczenie z baz
Name:		perl-%{pdir}-%{pnam}
Version:	0.91
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache::DBI and Apache::AuthDBI modules are supposed to be used with
the Apache server together with an embedded perl interpreter like
mod_perl. They provide support for basic authentication and
authorization as well as support for persistent database connections
via Perl's Database Independent Interface (DBI).

%description -l pl
Moduy Apache::DBI i Apache::AuthDBI s przeznaczone do uywania
cznie z serwerem Apache z wbudowanym interpreterem Perla takim jak
mod_perl. Zapewniaj obsug podstawowego uwierzytelnienia i
autoryzacji, a take obsug cigych pocze z baz danych poprzez
oglny interfejs dostpu do baz danych Perla (DBI).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Apache-DBI.spec,v $
Revision 1.16.2.1  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.16  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.15  2003/02/18 22:40:44  ankry
- autoupdated to 0.91

Revision 1.14  2003/02/18 15:25:45  ankry
- massive attack: change CPAN URLs

Revision 1.13  2003/02/16 22:56:20  qboosh
- pl description

Revision 1.12  2003/02/14 13:31:58  mis
- updated to 0.89

Revision 1.11  2002/08/14 19:57:40  qboosh
- pl description, new %%doc, release 5

Revision 1.10  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.9  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.8  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/03/03 21:26:36  marcus
- rel.3.

Revision 1.6  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/10 15:24:04  depesz
adapterized

Revision 1.4  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.3  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.1  2001/09/11 12:42:52  misiek
initial pld release
